/*

** Code to graph number of msas with increasing minimum wages over times

*/


clear all
set more off
set scheme s1color

cd "G:\Deptdata\Research\Share\RE-MJL-B\Minimum Wage Project\paper\FINAL\"


use data\CPIMSA_panel_pctchmw_newLW_NewBartik_mar12.dta, clear

drop if year < 1977
keep year msaname avgmw fmw lmw
encode msaname, gen(geocode)
xtset geocode year
replace avgmw = round(avgmw, 0.01)
replace fmw = round(fmw, 0.01)
replace lmw = round(lmw, 0.01)

*flag years where there was a MW increase
gen inc = 0
replace inc = 1 if lmw > fmw
replace inc = 1 if fmw > l.lmw
collapse (sum) inc, by(year)
gen fedinc = .
tsset year
*create markers for federal MW change years
replace fedinc = -2 if inlist(year, 1978, 1979, 1980, 1981, 1990, 1991, 1996, 1997, 2007, 2008, 2009)
replace fedinc = . if year == 2018

drop if year < 1978
#delimit;

tw 
(connected inc year, msize(vsmall) m(diamond))
(scatter fedinc year, m(circle) msize(small) mc(cranberry)),
	plotr(lstyle(none)) xscale(noline) yscale(noline)
	ylab(0(2)28, labs(small) angle(h))  yline(-2(2)28, lc(gs10) lw(vthin)) ytitle("") 
	xlab(1978(1)2018, angle(45) labs(vsmall)) xtitle("") title("Number of MSAs with Changes to Minimum Wage", size(medsmall))
	legend(region(lstyle(none)) order(1 "MSAs with a Change to Minimum Wage" 2 "Change in Federal Minimum Wage") r(2) size(small))
	note("Source: Minimum wage data come from Federal and State Departments of Labor and city governments", size(small))
	; 
graph export latex\msacount.pdf, replace;
	
;
	
#delimit cr
