/*
 Code to create map that shows variation across states of average low-wage shares (110 measure)
*/


clear all
set more off
set scheme s1color

cd "G:\Deptdata\Research\Share\RE-MJL-B\Minimum Wage Project\paper\FINAL\"

use  data\minwage_treat_updated.dta, clear // this dataset contains lowwage share data from the CPS

replace year = year -1 // because pct_lowwage is calculated for t-1 
	
	local keep2 "keep if year >= 1997 & year <= 2017"
	
	local t2 "Average Share Across States (1997-2017)"


	collapse (mean) pct_lowwage110 , by(statefip)

	ren statefip statefips
	
	** Map
	#delimit ; 
	maptile pct_lowwage110, geo(state) geoid(statefips) fc(Blues) cutv(.11 .13 .15 .17)
	legd(2) spopt(/*title("`t`i''", size(medlarge))*/ note("   " "Source:  Authors’ calculations using Current Population Survey (CPS) data.", size(small)))
	;
	
	graph export latex\lwshare_map.pdf, replace;
	#delimit cr
